### 3.10 `fetestexcept`—test floating-point exception flags ¶

Synopsis

    #include <fenv.h>
    int fetestexcept(int except);

    Link with -lm.

Description
This method test the current floating-point exceptions to determine which of those specified in except are currently set.

Returns
This method returns the bitwise-inclusive OR of the floating point exception macros which correspond to the currently set floating point exceptions.

Portability
ANSI C requires `fetestexcept`.

Not all Newlib targets have a working implementation. Refer to the file `sys/fenv.h` to see the status for your target.